pydo.monitoring.get_droplet_autoscale_current_memory_utilization()

Generated on 8 May 2026 from pydo version v0.34.0

Usage

client.monitoring.get_droplet_autoscale_current_memory_utilization(
    autoscale_pool_id="0d3db13e-a604-4944-9827-7ec2642d32ac",
    start="1620683817",
    end="1620705417",
)
Returns JSONRaises HttpResponseError

Description

To retrieve the current average memory utilization for a given Droplet Autoscale Pool, send a GET request to /v2/monitoring/metrics/droplet_autoscale/current_memory_utilization.

Parameters

autoscale_pool_id string required

A unique identifier for an autoscale pool.

start string required

UNIX timestamp to start metric window.

end string required

UNIX timestamp to end metric window.

Response Example

Show Response Example
{
  "data": {
    "result": [],
    "resultType": "matrix"
  },
  "status": "success"
}

More Information

See /v2/monitoring/metrics/droplet_autoscale/current_memory_utilization in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.